- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.LegacySearchFindingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#body.aspect_1)
- [Finding](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#Finding)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#Finding.SCHEMA_REPRESENTATION)

**Full name**: projects.locations.instances.legacy.legacySearchFindings

Legacy endpoint for listing Findings.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacy:legacySearchFindings`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The name of the parent resource, which is the SecOps instance this request is sent to. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `findingType[]` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/CollectionType`)`` Required. Finding type: Uppercase, DSML, etc. |
| `timestampRange` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Interval`)`` Required. Times range to get the findings from. |
| `pageSize` | `integer` Number of findings to return per page. Default value is 1000 if the pageSize is not set in the request. |
| `nextPageToken` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/NextPageToken`)`` Page token to support pagination. If no token is supplied, the first page of findings will be returned. |

### Request body

The request body must be empty.

### Response body

The SearchFindings response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "findings": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#Finding`) } ], "pageToken": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/NextPageToken`) } } ``` |

| Fields ||
|---|---|
| `findings[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacy/legacySearchFindings#Finding`)`` Findings found for the given filters. Note that Findings returned do not include the `feedbackHistory` field, only the `feedbackSummary`. |
| `pageToken` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/NextPageToken`)`` The token to supply to get the next page of results. If there are no additional results, this will be empty. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacies.legacySearchFindings`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## Finding

| JSON representation |
|---|
| ``` { "uid": string, "findingType": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/CollectionType`), "uidNamespace": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Namespace`), "createdTime": string, "lastUpdatedTime": string, "detectionMetadata": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/SecurityResult`) }, "udmEvents": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/UdmEventInfo`) } ], "producerDetectionIds": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Id`) } ], "feedbackSummary": { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Collection#Feedback`) }, "feedbackHistory": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Collection#Feedback`) } ], "tags": [ string ] } ``` |

| Fields ||
|---|---|
| `uid` | `string (https://developers.google.com/discovery/v1/type-format format)` A base64-encoded string. |
| `findingType` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/CollectionType`)`` |
| `uidNamespace` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Namespace`)`` |
| `createdTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `lastUpdatedTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: `"2014-10-02T15:01:23Z"`, `"2014-10-02T15:01:23.045123456Z"` or `"2014-10-02T15:01:23+05:30"`. |
| `detectionMetadata` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/SecurityResult`)`` |
| `udmEvents[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/UdmEventInfo`)`` |
| `producerDetectionIds[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Id`)`` |
| `feedbackSummary` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Collection#Feedback`)`` |
| `feedbackHistory[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/Shared.Types/Collection#Feedback`)`` |
| `tags[]` | `string` |